Get Plaid Link Statuses
curl --request GET \
--url https://api.sandbox.teal.dev/v0/sources/plaid/links/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.teal.dev/v0/sources/plaid/links/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.teal.dev/v0/sources/plaid/links/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_token": "ikal0NEVfMhF8dJf4yQ6KQZmGD",
"prev_page_token": "vuA7JeKI5c6FLnPt5JfRcZcJxW",
"records": [
{
"token_handle": {
"id": "<string>",
"date": "2023-11-07T05:31:56Z",
"enabled": true
},
"ledger": {
"id": "<string>",
"name": "<string>",
"editable": true,
"is_required": true,
"parent_id": null,
"report_cash_flow": true,
"sort_code": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"financial_account_type": "bank_account",
"required_ledger_purpose": "account_transfers",
"parent": "<unknown>"
},
"instance": {
"id": "<string>",
"entries_start": "2023-11-07T05:31:56Z",
"name": "<string>",
"accounting_package": "platformgl"
},
"txn_processing_task": {
"id": "<string>",
"created_datetime": "2023-11-07T05:31:56Z",
"updated_datetime": "2024-01-01T00:00:00Z",
"error": null,
"source_account_id": "<string>",
"ledger_id": "7JRNsKwy2Lw66caxVU7WGC",
"created_transaction_ids": [
"<string>"
],
"removed_transaction_ids": [
"<string>"
],
"modified_transaction_ids": [
"<string>"
],
"skipped_transaction_ids": [
"<string>"
],
"failed_transaction_ids": [
"<string>"
]
}
}
]
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>"
}Transaction Sources
Get Plaid Link Statuses
Returns the status of all Plaid connected financial account ledgers on the platform.
GET
/
v0
/
sources
/
plaid
/
links
/
status
Get Plaid Link Statuses
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
Query Parameters
The Instance ID
The number of records to return. Max limit is 1000.
Required range:
x >= 1Opaque page token
Response
Successful Response
The token to use to request the next page
Example:
"ikal0NEVfMhF8dJf4yQ6KQZmGD"
The token to use to request the previous page
Example:
"vuA7JeKI5c6FLnPt5JfRcZcJxW"
List of source account statuses
Show child attributes
Show child attributes
⌘I